Package org.firebirdsql.gds

## Interface ServiceRequestBuffer

All Superinterfaces:
  `java.lang.Iterable<Parameter>`, `ParameterBuffer`

All Known Implementing Classes:
  `ServiceRequestBufferImp`

    public interface ServiceRequestBuffer
    extends ParameterBuffer

Instance of this interface represents a Service Request Buffer from the Firebird API documentation and specifies the attributes for the Services API operation.

### Field Summary

Fields
`static int` `ACTION_ADD_LICENSE`
`static int` `ACTION_ADD_USER`
`static int` `ACTION_BACKUP` ********************************************************************** Operations that can be called via Services API.
`static int` `ACTION_DB_STATS`
`static int` `ACTION_DELETE_USER`
`static int` `ACTION_DISPLAY_USER`
`static int` `ACTION_GET_SERVER_LOG`
`static int` `ACTION_MODIFY_USER`
`static int` `ACTION_REMOVE_LICENSE`
`static int` `ACTION_REPAIR`
`static int` `ACTION_RESTORE`
`static int` `ACTION_SET_DB_PROPERTIES`
`static int` `BACKUP_CONVERT`
`static int` `BACKUP_DB_NAME` ********************************************************************** Parameters for ACTION_BACKUP call.
`static int` `BACKUP_EXPAND`
`static int` `BACKUP_FACTOR`
`static int` `BACKUP_FILE`
`static int` `BACKUP_IGNORE_CHECKSUMS`
`static int` `BACKUP_IGNORE_LIMBO`
`static int` `BACKUP_LENGTH`
`static int` `BACKUP_METADATA_ONLY`
`static int` `BACKUP_NO_GARBAGE_COLLECT`
`static int` `BACKUP_NON_TRANSPORTABLE`
`static int` `BACKUP_OLD_DESCRIPTIONS`
`static int` `BACKUP_OPTIONS`
`static int` `INFO_CAPABILITIES`
`static int` `INFO_FLAG_END`
`static int` `INFO_GET_CONFIG`
`static int` `INFO_GET_ENV`
`static int` `INFO_GET_ENV_LOCK`
`static int` `INFO_GET_ENV_MSG`
`static int` `INFO_GET_LICENSE`
`static int` `INFO_GET_LICENSE_MASK`
`static int` `INFO_GET_LICENSED_USERS`
`static int` `INFO_GET_OUTPUT_LINE`
`static int` `INFO_GET_OUTPUT_TO_EOF`
`static int` `INFO_GET_USERS`
`static int` `INFO_IMPLEMENTATION`
`static int` `INFO_LIMBO_TRANSACTIONS`
`static int` `INFO_MULTI_TRANSACTION_ID`
`static int` `INFO_RUNNING`
`static int` `INFO_SERVER_VERSION`
`static int` `INFO_SINGLE_TRANSACTION_ID`
`static int` `INFO_SVC_MGR_VERSION`
`static int` `INFO_SVR_DB_INFO` *********************************************************************** Constants for GDS.iscServiceQuery(...) call
`static int` `INFO_TIMEOUT`
`static int` `INFO_TRANSACTION_ADVICE`
`static int` `INFO_TRANSACTION_ADVICE_COMMIT`
`static int` `INFO_TRANSACTION_ADVICE_ROLLBACK`
`static int` `INFO_TRANSACTION_ADVICE_UNKNOWN`
`static int` `INFO_TRANSACTION_DB_PATH`
`static int` `INFO_TRANSACTION_HOST_SITE`
`static int` `INFO_TRANSACTION_REMOTE_SITE`
`static int` `INFO_TRANSACTION_STATE`
`static int` `INFO_TRANSACTION_STATE_COMMIT`
`static int` `INFO_TRANSACTION_STATE_LIMBO`
`static int` `INFO_TRANSACTION_STATE_ROLLBACK`
`static int` `INFO_TRANSACTION_STATE_UNKNOWN`
`static int` `INFO_USER_DB_PATH`
`static int` `LICENSE_DESCRIPTION`
`static int` `LICENSE_ID`
`static int` `LICENSE_KEY` ********************************************************************** Parameters for ACTION_ADD_LICENSE and ACTION_REMOVE_LICENSE calls.
`static int` `PROPS_ACCESS_MODE`
`static int` `PROPS_ACCESS_MODE_READONLY`
`static int` `PROPS_ACCESS_MODE_READWRITE`
`static int` `PROPS_ACTIVATE_SHADOW`
`static int` `PROPS_BUFFERS`
`static int` `PROPS_DB_NAME` ********************************************************************** Parameters for setting database properties.
`static int` `PROPS_DB_ONLINE`
`static int` `PROPS_DENY_NEW_ATTACHMENTS`
`static int` `PROPS_DENY_NEW_TRANSACTIONS`
`static int` `PROPS_OPTIONS`
`static int` `PROPS_RESERVE_SPACE`
`static int` `PROPS_RESERVE_USE_ALL_SPACE`
`static int` `PROPS_RESERVE_VERSIONS`
`static int` `PROPS_SET_SQL_DIALECT`
`static int` `PROPS_SHUTDOWN_DB`
`static int` `PROPS_SWEEP_INTERVAL`
`static int` `PROPS_WRITE_MODE`
`static int` `PROPS_WRITE_MODE_ASYNC`
`static int` `PROPS_WRITE_MODE_SYNC`
`static int` `REPAIR_CHECK_DB`
`static int` `REPAIR_COMMIT_TRANSACTIONS`
`static int` `REPAIR_DB_NAME` ********************************************************************** Parameters for database repair.
`static int` `REPAIR_FULL`
`static int` `REPAIR_IGNORE_CHECKSUM`
`static int` `REPAIR_KILL_SHADOWS`
`static int` `REPAIR_LIST_LIMBO_TRANSACTIONS`
`static int` `REPAIR_MEND_DB`
`static int` `REPAIR_OPTIONS`
`static int` `REPAIR_RECOVER_TWO_PHASE`
`static int` `REPAIR_ROLLBACK_TRANSACTIONS`
`static int` `REPAIR_SWEEP_DB`
`static int` `REPAIR_TRANSACTION_ID`
`static int` `REPAIR_VALIDATE_DB`
`static int` `RESTORE_ACCESS_MODE`
`static int` `RESTORE_ACCESS_MODE_READONLY`
`static int` `RESTORE_ACCESS_MODE_READWRITE`
`static int` `RESTORE_BACKUP_PATH`
`static int` `RESTORE_BUFFERS`
`static int` `RESTORE_CREATE`
`static int` `RESTORE_DB_NAME` ********************************************************************** Parameters for ACTION_RESTORE call.
`static int` `RESTORE_DEACTIVATE_IDX`
`static int` `RESTORE_LENGTH`
`static int` `RESTORE_NO_SHADOW`
`static int` `RESTORE_NO_VALIDITY`
`static int` `RESTORE_ONE_AT_A_TIME`
`static int` `RESTORE_OPTIONS`
`static int` `RESTORE_OVERWRITE`
`static int` `RESTORE_PAGE_SIZE`
`static int` `RESTORE_USE_ALL_SPACE`
`static int` `SECURITY_FIRST_NAME`
`static int` `SECURITY_GROUPID`
`static int` `SECURITY_GROUPNAME`
`static int` `SECURITY_LAST_NAME`
`static int` `SECURITY_MIDDLE_NAME`
`static int` `SECURITY_PASSWORD`
`static int` `SECURITY_USER_NAME`
`static int` `SECURITY_USERID` ********************************************************************** Parameters for ACTION_ADD_USER, ACTION_DELETE_USER, ACTION_MODIFY_USER, and ACTION_DISPLAY_USER service calls.
`static int` `STATS_DATA_PAGES`
`static int` `STATS_DB_LOG`
`static int` `STATS_DB_NAME` ********************************************************************** Parameters for database statistics.
`static int` `STATS_HEADER_PAGES`
`static int` `STATS_INDEX_PAGES`
`static int` `STATS_NOCREATION`
`static int` `STATS_OPTIONS`
`static int` `STATS_RECORD_VERSIONS`
`static int` `STATS_SYSTEM_RELATIONS`
`static int` `STATS_TABLE`

### Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Field Detail

#### ACTION_BACKUP

    static final int ACTION_BACKUP

********************************************************************** Operations that can be called via Services API. There are following groups of operations:

- backup/restore - database repair - user management - changing the database properties - license management - database and server information

See Also:
  Constant Field Values

#### ACTION_RESTORE

    static final int ACTION_RESTORE

See Also:
  Constant Field Values

#### ACTION_REPAIR

    static final int ACTION_REPAIR

See Also:
  Constant Field Values

#### ACTION_ADD_USER

    static final int ACTION_ADD_USER

See Also:
  Constant Field Values

#### ACTION_DELETE_USER

    static final int ACTION_DELETE_USER

See Also:
  Constant Field Values

#### ACTION_MODIFY_USER

    static final int ACTION_MODIFY_USER

See Also:
  Constant Field Values

#### ACTION_DISPLAY_USER

    static final int ACTION_DISPLAY_USER

See Also:
  Constant Field Values

#### ACTION_SET_DB_PROPERTIES

    static final int ACTION_SET_DB_PROPERTIES

See Also:
  Constant Field Values

#### ACTION_ADD_LICENSE

    static final int ACTION_ADD_LICENSE

See Also:
  Constant Field Values

#### ACTION_REMOVE_LICENSE

    static final int ACTION_REMOVE_LICENSE

See Also:
  Constant Field Values

#### ACTION_DB_STATS

    static final int ACTION_DB_STATS

See Also:
  Constant Field Values

#### ACTION_GET_SERVER_LOG

    static final int ACTION_GET_SERVER_LOG

See Also:
  Constant Field Values

#### INFO_SVR_DB_INFO

    static final int INFO_SVR_DB_INFO

*********************************************************************** Constants for GDS.iscServiceQuery(...) call

See Also:
  Constant Field Values

#### INFO_GET_LICENSE

    static final int INFO_GET_LICENSE

See Also:
  Constant Field Values

#### INFO_GET_LICENSE_MASK

    static final int INFO_GET_LICENSE_MASK

See Also:
  Constant Field Values

#### INFO_GET_CONFIG

    static final int INFO_GET_CONFIG

See Also:
  Constant Field Values

#### INFO_SVC_MGR_VERSION

    static final int INFO_SVC_MGR_VERSION

See Also:
  Constant Field Values

#### INFO_SERVER_VERSION

    static final int INFO_SERVER_VERSION

See Also:
  Constant Field Values

#### INFO_IMPLEMENTATION

    static final int INFO_IMPLEMENTATION

See Also:
  Constant Field Values

#### INFO_CAPABILITIES

    static final int INFO_CAPABILITIES

See Also:
  Constant Field Values

#### INFO_USER_DB_PATH

    static final int INFO_USER_DB_PATH

See Also:
  Constant Field Values

#### INFO_GET_ENV

    static final int INFO_GET_ENV

See Also:
  Constant Field Values

#### INFO_GET_ENV_LOCK

    static final int INFO_GET_ENV_LOCK

See Also:
  Constant Field Values

#### INFO_GET_ENV_MSG

    static final int INFO_GET_ENV_MSG

See Also:
  Constant Field Values

#### INFO_GET_OUTPUT_LINE

    static final int INFO_GET_OUTPUT_LINE

See Also:
  Constant Field Values

#### INFO_GET_OUTPUT_TO_EOF

    static final int INFO_GET_OUTPUT_TO_EOF

See Also:
  Constant Field Values

#### INFO_TIMEOUT

    static final int INFO_TIMEOUT

See Also:
  Constant Field Values

#### INFO_GET_LICENSED_USERS

    static final int INFO_GET_LICENSED_USERS

See Also:
  Constant Field Values

#### INFO_RUNNING

    static final int INFO_RUNNING

See Also:
  Constant Field Values

#### INFO_GET_USERS

    static final int INFO_GET_USERS

See Also:
  Constant Field Values

#### INFO_LIMBO_TRANSACTIONS

    static final int INFO_LIMBO_TRANSACTIONS

See Also:
  Constant Field Values

#### INFO_SINGLE_TRANSACTION_ID

    static final int INFO_SINGLE_TRANSACTION_ID

See Also:
  Constant Field Values

#### INFO_MULTI_TRANSACTION_ID

    static final int INFO_MULTI_TRANSACTION_ID

See Also:
  Constant Field Values

#### INFO_TRANSACTION_HOST_SITE

    static final int INFO_TRANSACTION_HOST_SITE

See Also:
  Constant Field Values

#### INFO_TRANSACTION_REMOTE_SITE

    static final int INFO_TRANSACTION_REMOTE_SITE

See Also:
  Constant Field Values

#### INFO_TRANSACTION_DB_PATH

    static final int INFO_TRANSACTION_DB_PATH

See Also:
  Constant Field Values

#### INFO_TRANSACTION_ADVICE

    static final int INFO_TRANSACTION_ADVICE

See Also:
  Constant Field Values

#### INFO_TRANSACTION_ADVICE_COMMIT

    static final int INFO_TRANSACTION_ADVICE_COMMIT

See Also:
  Constant Field Values

#### INFO_TRANSACTION_ADVICE_ROLLBACK

    static final int INFO_TRANSACTION_ADVICE_ROLLBACK

See Also:
  Constant Field Values

#### INFO_TRANSACTION_ADVICE_UNKNOWN

    static final int INFO_TRANSACTION_ADVICE_UNKNOWN

See Also:
  Constant Field Values

#### INFO_TRANSACTION_STATE

    static final int INFO_TRANSACTION_STATE

See Also:
  Constant Field Values

#### INFO_TRANSACTION_STATE_COMMIT

    static final int INFO_TRANSACTION_STATE_COMMIT

See Also:
  Constant Field Values

#### INFO_TRANSACTION_STATE_ROLLBACK

    static final int INFO_TRANSACTION_STATE_ROLLBACK

See Also:
  Constant Field Values

#### INFO_TRANSACTION_STATE_LIMBO

    static final int INFO_TRANSACTION_STATE_LIMBO

See Also:
  Constant Field Values

#### INFO_TRANSACTION_STATE_UNKNOWN

    static final int INFO_TRANSACTION_STATE_UNKNOWN

See Also:
  Constant Field Values

#### INFO_FLAG_END

    static final int INFO_FLAG_END

See Also:
  Constant Field Values

#### SECURITY_USERID

    static final int SECURITY_USERID

********************************************************************** Parameters for ACTION_ADD_USER, ACTION_DELETE_USER, ACTION_MODIFY_USER, and ACTION_DISPLAY_USER service calls.

See Also:
  Constant Field Values

#### SECURITY_GROUPID

    static final int SECURITY_GROUPID

See Also:
  Constant Field Values

#### SECURITY_USER_NAME

    static final int SECURITY_USER_NAME

See Also:
  Constant Field Values

#### SECURITY_PASSWORD

    static final int SECURITY_PASSWORD

See Also:
  Constant Field Values

#### SECURITY_GROUPNAME

    static final int SECURITY_GROUPNAME

See Also:
  Constant Field Values

#### SECURITY_FIRST_NAME

    static final int SECURITY_FIRST_NAME

See Also:
  Constant Field Values

#### SECURITY_MIDDLE_NAME

    static final int SECURITY_MIDDLE_NAME

See Also:
  Constant Field Values

#### SECURITY_LAST_NAME

    static final int SECURITY_LAST_NAME

See Also:
  Constant Field Values

#### LICENSE_KEY

    static final int LICENSE_KEY

********************************************************************** Parameters for ACTION_ADD_LICENSE and ACTION_REMOVE_LICENSE calls.

See Also:
  Constant Field Values

#### LICENSE_ID

    static final int LICENSE_ID

See Also:
  Constant Field Values

#### LICENSE_DESCRIPTION

    static final int LICENSE_DESCRIPTION

See Also:
  Constant Field Values

#### BACKUP_DB_NAME

    static final int BACKUP_DB_NAME

********************************************************************** Parameters for ACTION_BACKUP call.

See Also:
  Constant Field Values

#### BACKUP_FILE

    static final int BACKUP_FILE

See Also:
  Constant Field Values

#### BACKUP_LENGTH

    static final int BACKUP_LENGTH

See Also:
  Constant Field Values

#### BACKUP_FACTOR

    static final int BACKUP_FACTOR

See Also:
  Constant Field Values

#### BACKUP_OPTIONS

    static final int BACKUP_OPTIONS

See Also:
  Constant Field Values

#### BACKUP_IGNORE_CHECKSUMS

    static final int BACKUP_IGNORE_CHECKSUMS

See Also:
  Constant Field Values

#### BACKUP_IGNORE_LIMBO

    static final int BACKUP_IGNORE_LIMBO

See Also:
  Constant Field Values

#### BACKUP_METADATA_ONLY

    static final int BACKUP_METADATA_ONLY

See Also:
  Constant Field Values

#### BACKUP_NO_GARBAGE_COLLECT

    static final int BACKUP_NO_GARBAGE_COLLECT

See Also:
  Constant Field Values

#### BACKUP_OLD_DESCRIPTIONS

    static final int BACKUP_OLD_DESCRIPTIONS

See Also:
  Constant Field Values

#### BACKUP_NON_TRANSPORTABLE

    static final int BACKUP_NON_TRANSPORTABLE

See Also:
  Constant Field Values

#### BACKUP_CONVERT

    static final int BACKUP_CONVERT

See Also:
  Constant Field Values

#### BACKUP_EXPAND

    static final int BACKUP_EXPAND

See Also:
  Constant Field Values

#### RESTORE_DB_NAME

    static final int RESTORE_DB_NAME

********************************************************************** Parameters for ACTION_RESTORE call.

See Also:
  Constant Field Values

#### RESTORE_BACKUP_PATH

    static final int RESTORE_BACKUP_PATH

See Also:
  Constant Field Values

#### RESTORE_LENGTH

    static final int RESTORE_LENGTH

See Also:
  Constant Field Values

#### RESTORE_BUFFERS

    static final int RESTORE_BUFFERS

See Also:
  Constant Field Values

#### RESTORE_PAGE_SIZE

    static final int RESTORE_PAGE_SIZE

See Also:
  Constant Field Values

#### RESTORE_ACCESS_MODE

    static final int RESTORE_ACCESS_MODE

See Also:
  Constant Field Values

#### RESTORE_ACCESS_MODE_READONLY

    static final int RESTORE_ACCESS_MODE_READONLY

See Also:
  Constant Field Values

#### RESTORE_ACCESS_MODE_READWRITE

    static final int RESTORE_ACCESS_MODE_READWRITE

See Also:
  Constant Field Values

#### RESTORE_OPTIONS

    static final int RESTORE_OPTIONS

See Also:
  Constant Field Values

#### RESTORE_DEACTIVATE_IDX

    static final int RESTORE_DEACTIVATE_IDX

See Also:
  Constant Field Values

#### RESTORE_NO_SHADOW

    static final int RESTORE_NO_SHADOW

See Also:
  Constant Field Values

#### RESTORE_NO_VALIDITY

    static final int RESTORE_NO_VALIDITY

See Also:
  Constant Field Values

#### RESTORE_ONE_AT_A_TIME

    static final int RESTORE_ONE_AT_A_TIME

See Also:
  Constant Field Values

#### RESTORE_OVERWRITE

    static final int RESTORE_OVERWRITE

See Also:
  Constant Field Values

#### RESTORE_CREATE

    static final int RESTORE_CREATE

See Also:
  Constant Field Values

#### RESTORE_USE_ALL_SPACE

    static final int RESTORE_USE_ALL_SPACE

See Also:
  Constant Field Values

#### PROPS_DB_NAME

    static final int PROPS_DB_NAME

********************************************************************** Parameters for setting database properties.

See Also:
  Constant Field Values

#### PROPS_BUFFERS

    static final int PROPS_BUFFERS

See Also:
  Constant Field Values

#### PROPS_SWEEP_INTERVAL

    static final int PROPS_SWEEP_INTERVAL

See Also:
  Constant Field Values

#### PROPS_SHUTDOWN_DB

    static final int PROPS_SHUTDOWN_DB

See Also:
  Constant Field Values

#### PROPS_DENY_NEW_TRANSACTIONS

    static final int PROPS_DENY_NEW_TRANSACTIONS

See Also:
  Constant Field Values

#### PROPS_DENY_NEW_ATTACHMENTS

    static final int PROPS_DENY_NEW_ATTACHMENTS

See Also:
  Constant Field Values

#### PROPS_SET_SQL_DIALECT

    static final int PROPS_SET_SQL_DIALECT

See Also:
  Constant Field Values

#### PROPS_RESERVE_SPACE

    static final int PROPS_RESERVE_SPACE

See Also:
  Constant Field Values

#### PROPS_RESERVE_USE_ALL_SPACE

    static final int PROPS_RESERVE_USE_ALL_SPACE

See Also:
  Constant Field Values

#### PROPS_RESERVE_VERSIONS

    static final int PROPS_RESERVE_VERSIONS

See Also:
  Constant Field Values

#### PROPS_WRITE_MODE

    static final int PROPS_WRITE_MODE

See Also:
  Constant Field Values

#### PROPS_WRITE_MODE_ASYNC

    static final int PROPS_WRITE_MODE_ASYNC

See Also:
  Constant Field Values

#### PROPS_WRITE_MODE_SYNC

    static final int PROPS_WRITE_MODE_SYNC

See Also:
  Constant Field Values

#### PROPS_ACCESS_MODE

    static final int PROPS_ACCESS_MODE

See Also:
  Constant Field Values

#### PROPS_ACCESS_MODE_READONLY

    static final int PROPS_ACCESS_MODE_READONLY

See Also:
  Constant Field Values

#### PROPS_ACCESS_MODE_READWRITE

    static final int PROPS_ACCESS_MODE_READWRITE

See Also:
  Constant Field Values

#### PROPS_OPTIONS

    static final int PROPS_OPTIONS

See Also:
  Constant Field Values

#### PROPS_ACTIVATE_SHADOW

    static final int PROPS_ACTIVATE_SHADOW

See Also:
  Constant Field Values

#### PROPS_DB_ONLINE

    static final int PROPS_DB_ONLINE

See Also:
  Constant Field Values

#### REPAIR_DB_NAME

    static final int REPAIR_DB_NAME

********************************************************************** Parameters for database repair.

See Also:
  Constant Field Values

#### REPAIR_COMMIT_TRANSACTIONS

    static final int REPAIR_COMMIT_TRANSACTIONS

See Also:
  Constant Field Values

#### REPAIR_ROLLBACK_TRANSACTIONS

    static final int REPAIR_ROLLBACK_TRANSACTIONS

See Also:
  Constant Field Values

#### REPAIR_RECOVER_TWO_PHASE

    static final int REPAIR_RECOVER_TWO_PHASE

See Also:
  Constant Field Values

#### REPAIR_TRANSACTION_ID

    static final int REPAIR_TRANSACTION_ID

See Also:
  Constant Field Values

#### REPAIR_OPTIONS

    static final int REPAIR_OPTIONS

See Also:
  Constant Field Values

#### REPAIR_VALIDATE_DB

    static final int REPAIR_VALIDATE_DB

See Also:
  Constant Field Values

#### REPAIR_SWEEP_DB

    static final int REPAIR_SWEEP_DB

See Also:
  Constant Field Values

#### REPAIR_MEND_DB

    static final int REPAIR_MEND_DB

See Also:
  Constant Field Values

#### REPAIR_LIST_LIMBO_TRANSACTIONS

    static final int REPAIR_LIST_LIMBO_TRANSACTIONS

See Also:
  Constant Field Values

#### REPAIR_CHECK_DB

    static final int REPAIR_CHECK_DB

See Also:
  Constant Field Values

#### REPAIR_IGNORE_CHECKSUM

    static final int REPAIR_IGNORE_CHECKSUM

See Also:
  Constant Field Values

#### REPAIR_KILL_SHADOWS

    static final int REPAIR_KILL_SHADOWS

See Also:
  Constant Field Values

#### REPAIR_FULL

    static final int REPAIR_FULL

See Also:
  Constant Field Values

#### STATS_DB_NAME

    static final int STATS_DB_NAME

********************************************************************** Parameters for database statistics.

See Also:
  Constant Field Values

#### STATS_OPTIONS

    static final int STATS_OPTIONS

See Also:
  Constant Field Values

#### STATS_DATA_PAGES

    static final int STATS_DATA_PAGES

See Also:
  Constant Field Values

#### STATS_DB_LOG

    static final int STATS_DB_LOG

See Also:
  Constant Field Values

#### STATS_HEADER_PAGES

    static final int STATS_HEADER_PAGES

See Also:
  Constant Field Values

#### STATS_INDEX_PAGES

    static final int STATS_INDEX_PAGES

See Also:
  Constant Field Values

#### STATS_SYSTEM_RELATIONS

    static final int STATS_SYSTEM_RELATIONS

See Also:
  Constant Field Values

#### STATS_RECORD_VERSIONS

    static final int STATS_RECORD_VERSIONS

See Also:
  Constant Field Values

#### STATS_TABLE

    static final int STATS_TABLE

See Also:
  Constant Field Values

#### STATS_NOCREATION

    static final int STATS_NOCREATION

See Also:
  Constant Field Values